local util = require("util")
local migration = require("migration")
local sorting = require("sorting")

script.on_event("manual-inventory-sort", function(event) -- sort key event
    sorting.sort_inventory{player_index = event.player_index, override_possible = true}
  end)

script.on_event("manual-inventory-sort-opened", function(event) -- sort chest key
    local player = game.players[event.player_index]
    if player.opened and util.is_sortable(player.opened) then
      sorting.sort_inventory{
        player_index = event.player_index,
        inventory =
        player.opened.get_inventory(defines.inventory.car_trunk)
        or player.opened.get_inventory(defines.inventory.chest)
        or player.opened.get_inventory(defines.inventory.cargo_wagon),
        force_override = true,
        filtered = (player.opened.type == "cargo-wagon" or player.opened.type == "car")
      }
    end
  end)

  script.on_init(function() migration.init() end)
  script.on_configuration_changed(function () migration.init() end)
