--luacheck: ignore Nexela_item_changes Nexela_robot_changes Nexela_revamp other_mods_menu Nexela_extra_recipe_sulfur_acid_nickel
--luacheck: ignore belts_graphics category_changes extra_recipes other_mods_graphics vehicleequipment_menu_graphics
--luacheck: globals addon_subgroup_order addon_change_icon bobmods addon_add_item_flag addon_subgroup_order_all addon_subgroup_order_selection_tools

-------------------------------------------------------------------------------
--[[Helper functions]]
-- These can be added to addon-function.lua if wanted

--Add an item flag to an item
function addon_add_item_flag(item, flag)
  if data.raw.item[item] and not data.raw.item[item].flags[flag] then
    data.raw.item[item].flags[#data.raw.item[item].flags + 1] = flag
  end
end

-- function addon_subgroup_order_all(name, subgroup, order)
-- if data.raw["item"][name] then addon_subgroup_order("item", name, subgroup, order) end
-- if data.raw["recipe"][name] then addon_subgroup_order("recipe", name, subgroup, order) end
-- if data.raw["item-with-entity-data"][name] then addon_subgroup_order("item-with-entity-data", name, subgroup, order) end
-- addon_subgroup_order_selection_tools(name, subgroup, order)
-- end
--
-- function addon_subgroup_order_selection_tools(name, subgroup, order)
-- if data.raw["blueprint"][name] then addon_subgroup_order("blueprint", name, subgroup, order) end
-- if data.raw["blueprint-book"][name] then addon_subgroup_order("blueprint-book", name, subgroup, order) end
-- if data.raw["deconstruction-item"][name] then addon_subgroup_order("deconstruction-item", name, subgroup, order) end
-- if data.raw["selection-tool"][name] then addon_subgroup_order("selection-tool", name, subgroup, order) end
-- end
-------------------------------------------------------------------------------
--[[Bobmods Missed Items]]
--Adds any missed items from bobmods, these could be moved to data-updates.lua if wanted

--Loaders from the base mod, they are disabled by default but
--if enabled without change they show up in the middle of the belts row
addon_subgroup_order("item", "loader", "belt", "za")
addon_subgroup_order("item", "fast-loader", "belt", "zb")
addon_subgroup_order("item", "express-loader", "belt", "zc")
addon_subgroup_order("item", "faster-loader", "belt", "zd")
addon_subgroup_order("item", "extremely-fast-loader", "belt", "ze")

-------------------------------------------------------------------------------
--[[Additional mod tweaks]]
--Moves items from other mods to more correct locations.

if other_mods_menu then
  --Move some mod added vehicle equipment to new menu if exsists
  if vehicleequipment_menu_graphics then
    data:extend({{type="item-subgroup", name="addon-bob-vehicleequipment-9", group = "addon-vehicleequipment", order="e-2"}})
    addon_subgroup_order("item", "farl-roboport", "addon-bob-vehicleequipment-9", "a")
    addon_subgroup_order("item", "rtg-equipment", "addon-bob-vehicleequipment-9", "b")
  end

  --Reactors
  addon_subgroup_order("item", "uranium-ore", "bob-ores")

  --CATEGORY
  data:extend({{type="item-subgroup", name="addon-cars-aai", group = "logistics", order="e-4"}})
  addon_subgroup_order("item-with-entity-data", "vehicle-miner", "addon-cars-aai")
  addon_subgroup_order("item-with-entity-data", "vehicle-laser-tank", "addon-cars-aai")
  addon_subgroup_order("item-with-entity-data", "vehicle-chaingunner", "addon-cars-aai")
  addon_subgroup_order("item-with-entity-data", "vehicle-hauler", "addon-cars-aai")
  addon_subgroup_order("item-with-entity-data", "vehicle-flame-tumbler", "addon-cars-aai")

  --Move planners to their own menu, Possible move some of this to revamp
  addon_subgroup_order("blueprint", "blueprint", "addon-planners-extras", "a")
  addon_subgroup_order("blueprint-book", "blueprint-book", "addon-planners-extras", "b")
  addon_subgroup_order("deconstruction-item", "deconstruction-planner", "addon-planners-extras", "c")
  addon_subgroup_order("selection-tool", "upgrade-builder", "addon-planners-extras", "d")
  addon_subgroup_order("selection-tool", "zone-planner", "addon-planners-extras", "e")
  addon_subgroup_order("selection-tool", "unit-remote-control", "addon-planners-extras", "f")
  addon_subgroup_order("item", "resource-monitor", "addon-planners-extras", "g")

  --Nanobots, move to be inline with new roboport location, move ammo to own line?
  data:extend({{type="item-subgroup", name="addon-tools", group="production", order="aa-1"}})
  addon_subgroup_order("gun", "gun-nano-emitter", "addon-tools")
  addon_subgroup_order("ammo", "ammo-nano-constructors", "addon-tools")
  addon_subgroup_order("ammo", "ammo-nano-termites", "addon-tools")
  addon_subgroup_order("ammo", "ammo-nano-scrappers", "addon-tools")
  addon_subgroup_order("ammo", "ammo-nano-deconstructors", "addon-tools")
  addon_subgroup_order("item","equipment-bot-chip-items" ,"addon-equipment1","z-1")
  addon_subgroup_order("item","equipment-bot-chip-trees" ,"addon-equipment1","z-2")

  --Move Bio-industries recipes
  addon_subgroup_order("recipe", "bi-burner-mining-drill-disassemble", "raw-material")
  addon_subgroup_order("recipe", "bi-steel-furnace-disassemble", "raw-material")

  --CharcoalBurner
  addon_subgroup_order("recipe", "solid-fuel-from-creosote-oil", "addon-fuels-fluids","a[solid9]")

  --Signpost mod, move to bottom of the list.
  addon_subgroup_order("item", "sign-post", "terrain", "yb")

  --Extra Loaders, Move all loaders to their own row
  if data.raw.item["faster-loader"] then
    --CATEGORY
    data:extend({{type = "item-subgroup", name = "addon-loader", group = "logistics", order = "b-4"}})
    addon_subgroup_order("item", "loader", "addon-loader", "a")
    addon_subgroup_order("item", "fast-loader", "addon-loader", "b")
    addon_subgroup_order("item", "express-loader", "addon-loader", "c")
    addon_subgroup_order("item", "faster-loader", "addon-loader", "d")
    addon_subgroup_order("item", "extremely-fast-loader", "addon-loader", "e")
  end

  --KS POWER Moves diesel fuel to petrol fluids, move generater-power (possibly needs to be hidden)
  addon_subgroup_order("recipe","diesel-fuel","addon-petrol-fluids","c[fluid-chemistry]-b3[diesel-fuel]")
  addon_subgroup_order("item", "wind-turbine", "energy", "d-a")
  addon_subgroup_order("item", "petroleum-generator", "energy", "d-b")
  addon_subgroup_order("item", "burner-generator", "energy", "d-c")
  addon_subgroup_order("item", "OilSteamBoiler", "energy", "d-d")
  --addon_subgroup_order("item","burner-generator-power" ,"energy","d2")

  --Angels Ores Plates pulver and block, thermal-water
  addon_subgroup_order("item", "thermal-water-barrel","bob-barrel","f2")
  addon_subgroup_order("recipe", "angelsore3-crushed-smelting", "bob-material", "aaa1")
  addon_subgroup_order("recipe", "copper-plate-processed", "bob-material", "aaa2")
  addon_subgroup_order("recipe", "copper-plate-ingot", "bob-material", "aaa3")
  addon_subgroup_order("recipe", "angelsore1-crushed-smelting", "bob-material", "aab1")
  addon_subgroup_order("recipe", "iron-plate-processed", "bob-material", "aab2")
  addon_subgroup_order("recipe", "iron-plate-ingot", "bob-material", "aab3")
  addon_subgroup_order("recipe", "concrete-brick", "bio-processing")
  addon_subgroup_order("recipe", "concrete-pulver", "bio-processing")
  addon_subgroup_order("recipe", "concrete-from-pulver", "bio-processing")
  --Angels smelting nightmare fix
  if data.raw.item["angels-plate-tin"] then
    addon_subgroup_order("item", "gold-ore", "bob-ores", "")
    addon_subgroup_order("item", "nickel-ore", "bob-ores", "")
    addon_subgroup_order("item", "zinc-ore", "bob-ores", "")
    addon_subgroup_order("item", "cobalt-ore", "bob-ores", "")
    addon_subgroup_order("item", "bauxite-ore", "bob-ores", "")
    addon_subgroup_order("item", "lead-ore", "bob-ores", "")
    addon_subgroup_order("item", "tin-ore", "bob-ores", "")
    addon_subgroup_order("item", "quartz", "bob-ores", "")
    addon_subgroup_order("item", "rutile-ore", "bob-ores", "")
    addon_subgroup_order("item", "silver-ore", "bob-ores", "")
    addon_subgroup_order("item", "tungsten-ore", "bob-ores", "")
    addon_subgroup_order("item", "chrome-ore", "bob-ores", "")
    addon_subgroup_order("item", "platinum-ore", "bob-ores", "")
    addon_subgroup_order("item", "manganese-ore", "bob-ores", "")
    addon_subgroup_order("item", "raw-wood", "bob-ores", "a-[raw-wood]")
  end

  --Flow Control
  --If flow control and water miners are present declutter the line.
  if data.raw.item["water-miner-5"] and data.raw.item["express-pump"] then
    --CATEGORY
    data:extend({{type= "item-subgroup", name="addon-water-pumps", group = "production", order = "c-aab"}})
    addon_subgroup_order("item","offshore-pump","addon-water-pumps","a")
    addon_subgroup_order("item","small-pump", "addon-water-pumps","b")
    addon_subgroup_order("item","express-pump", "addon-water-pumps","c")
    addon_subgroup_order("item","small-pump-2", "addon-water-pumps","d")
    addon_subgroup_order("item","small-pump-3", "addon-water-pumps","e")
    addon_subgroup_order("item","small-pump-4", "addon-water-pumps","f")
    addon_subgroup_order("item","void-pump", "addon-water-pumps","g")
  else
    addon_subgroup_order("item", "express-pump","addon-water-pump-jacks" ,"f2")
  end
  addon_subgroup_order("item","check-valve","bob-storage","j")
  addon_subgroup_order("item","overflow-valve","bob-storage","k")

  --Put Steam engines on same line with boilers
  addon_subgroup_order("item","steam-engine","bob-energy-boiler","z1")
  addon_subgroup_order("item","steam-engine-2","bob-energy-boiler","z2")
  addon_subgroup_order("item","steam-engine-3","bob-energy-boiler","z3")

  --CATEGORY
  data:extend({{type = "item-subgroup", name = "flow-control-1", group = "bob-logistics", order = "d-a-3"}})
  if not (data.raw.item["copper-pipe-straight"] or data.raw.item["pipe-copper-straight"]) then
    addon_subgroup_order("item", "pipe-straight", "flow-control-1", "a")
    addon_subgroup_order("item", "pipe-junction", "flow-control-1", "b")
    addon_subgroup_order("item", "pipe-elbow", "flow-control-1", "c")
  end

  -- If color coding and more floors present move most floors to color-coding tab
  if data.raw["item-subgroup"]["color-concrete"] and data.raw["item"]["hexagonb"] then
    local terrain = {
      "wood-floor", "smooth-concrete", "reinforced-concrete", "diamond-plate", "rusty-metal", "rusty-grate",
      "arrow-grate", "green_grass", "sand_light", "gravel", "circuit-floor", "asphalt", "lava", "snow",
      "alien-metal", "metal-scraps", "hexagonb", "hazard-concrete", "fire-hazard-concrete"
    }
    for _, name in pairs(terrain) do
      addon_subgroup_order("item", name ,"color-concrete", "d-[more-floors-"..name.. "]")
    end
    addon_subgroup_order("recipe", "hazard-concrete" ,"color-concrete", "d-[more-floors-hazard-concrete]")
  else
    --Color Coding -- Move fire hazard if more floors is not present.
    addon_subgroup_order("item", "fire-hazard-concrete", "bob-material", "aaf2")
  end

  --If warehousing mod is installed seperate out all logistic chests to their own line
  if data.raw.item["warehouse-storage"] or data.raw.item["storehouse-storage"] then
    local chests = {
      storage = {
        "logistic-chest-storage", "logistic-chest-storage-2", "logistic-chest-titanium-storage",
        "logistic-chest-tungsten-storage", "storehouse-storage", "warehouse-storage",
      },
      passive = {
        "logistic-chest-passive-provider", "logistic-chest-passive-provider-2", "storehouse-passive-provider",
        "warehouse-passive-provider",
      },
      active = {
        "logistic-chest-active-provider", "logistic-chest-active-provider-2", "storehouse-active-provider",
        "warehouse-active-provider",
      },
      requester = {
        "logistic-chest-requester", "logistic-chest-requester-2", "storehouse-requester", "warehouse-requester",
      }
    }

    for type, group in pairs(chests) do
      for i, name in ipairs(group) do
        addon_subgroup_order("item", name, "logistic-network-"..type, i.."-["..type.."]["..name .."]")
      end
    end
  end
end

--------------------------------------------------------------------------------
--[[Vanilla/Bobmods Quality of life imrovments]]
--Changes here are more QOL then actually needed
--revamp makes changes on top of the changes made previously

if Nexela_revamp then
  if data.raw.item["alien-artifact-red"] then
    --CATEGORY
    data:extend({{type = "item-subgroup", name = "addon-allien-artifacts", group = "intermediate-products", order = "c-0"}})
    addon_subgroup_order("item","alien-artifact" ,"addon-allien-artifacts","a")
    addon_subgroup_order("item","alien-artifact-red" ,"addon-allien-artifacts","b")
    addon_subgroup_order("item","alien-artifact-orange" ,"addon-allien-artifacts","c")
    addon_subgroup_order("item","alien-artifact-yellow" ,"addon-allien-artifacts","d")
    addon_subgroup_order("item","alien-artifact-green" ,"addon-allien-artifacts","e")
    addon_subgroup_order("item","alien-artifact-blue" ,"addon-allien-artifacts","f")
    addon_subgroup_order("item","alien-artifact-purple" ,"addon-allien-artifacts","g")
  end

  --Puts all artillery ammos together
  addon_subgroup_order("ammo", "poison-artillery-shell", "ammo", "da[artillery]a")
  addon_subgroup_order("ammo", "explosive-artillery-shell", "ammo", "da[artillery]b")
  addon_subgroup_order("ammo", "distractor-artillery-shell", "ammo", "da[artillery]c")

  --move medium and big poles to their own row
  --CATEGORY
  data:extend({{type = "item-subgroup", name = "addon-energy-medium-big", group = "logistics", order = "d-1"}})

  addon_subgroup_order("item","small-lamp","energy-pipe-distribution","a")

  addon_subgroup_order("item","medium-electric-pole" ,"addon-energy-medium-big","a-a")
  addon_subgroup_order("item","medium-electric-pole-2" ,"addon-energy-medium-big","a-b")
  addon_subgroup_order("item","medium-electric-pole-3" ,"addon-energy-medium-big","a-c")
  addon_subgroup_order("item","medium-electric-pole-4" ,"addon-energy-medium-big","a-d")

  addon_subgroup_order("item","big-electric-pole" ,"addon-energy-medium-big","b-a")
  addon_subgroup_order("item","big-electric-pole-2" ,"addon-energy-medium-big","b-b")
  addon_subgroup_order("item","big-electric-pole-3" ,"addon-energy-medium-big","b-c")
  addon_subgroup_order("item","big-electric-pole-4" ,"addon-energy-medium-big","b-d")

  --Adds additional trains
  --farl/shuttletrain/atomic loco duplicated on purpose
  addon_subgroup_order("item-with-entity-data","farl" ,"addon-trains" ,"e")
  addon_subgroup_order("item-with-entity-data","shuttleTrain" ,"addon-trains" ,"f")
  addon_subgroup_order("item","farl" ,"addon-trains" ,"e")
  addon_subgroup_order("item","shuttleTrain" ,"addon-trains" ,"f")
  addon_subgroup_order("item","shuttleTrain" ,"atomic-locomotive" ,"g")
  addon_subgroup_order("item-with-entity-data","atomic-locomotive" ,"addon-trains" ,"g")

  --Shuffles cargo-wagons to their own line
  --CATEGORY
  data:extend({{type = "item-subgroup", name = "addon-trains-cargo", group = "logistics", order = "e-11", }})

  addon_subgroup_order("item-with-entity-data","cargo-wagon" ,"addon-trains-cargo" ,"a")
  addon_subgroup_order("item-with-entity-data","bob-cargo-wagon-2" ,"addon-trains-cargo" ,"b")
  addon_subgroup_order("item-with-entity-data","bob-cargo-wagon-3" ,"addon-trains-cargo" ,"c")
  addon_subgroup_order("item-with-entity-data","bob-armoured-cargo-wagon" ,"addon-trains-cargo" ,"d1")
  addon_subgroup_order("item-with-entity-data","bob-armoured-cargo-wagon-2" ,"addon-trains-cargo" ,"d2")
  --Rail Tanker Duplicated on purpose
  addon_subgroup_order("item-with-entity-data","rail-tanker" ,"addon-trains-cargo" ,"e1")
  addon_subgroup_order("item","rail-tanker" ,"addon-trains-cargo" ,"e1")
  addon_subgroup_order("item-with-entity-data","rail-tanker-2" ,"addon-trains-cargo" ,"e2")
  addon_subgroup_order("item","rail-tanker-2" ,"addon-trains-cargo" ,"e2")
  addon_subgroup_order("item-with-entity-data","rail-tanker-3" ,"addon-trains-cargo" ,"e3")
  addon_subgroup_order("item","rail-tanker-3" ,"addon-trains-cargo" ,"e3")
  addon_subgroup_order("item-with-entity-data","rail-tanker-4" ,"addon-trains-cargo" ,"e4")
  addon_subgroup_order("item","rail-tanker-4" ,"addon-trains-cargo" ,"e4")

  --Moves all oil processing to be on the same line
  addon_subgroup_order("recipe","oil-processing-with-sulfur" ,"addon-petrol-sulfur-fluids", "a1")
  addon_subgroup_order("recipe","oil-processing-with-sulfur-dioxide" ,"addon-petrol-sulfur-fluids", "a2")
  addon_subgroup_order("recipe","oil-processing-with-sulfur-dioxide-2" ,"addon-petrol-sulfur-fluids", "a3")
  addon_subgroup_order("recipe","oil-processing-with-sulfur-dioxide-3" ,"addon-petrol-sulfur-fluids", "a4")

  addon_subgroup_order("recipe","basic-oil-processing","addon-petrol-sulfur-fluids", "b1")
  addon_subgroup_order("recipe","advanced-oil-processing","addon-petrol-sulfur-fluids", "b2")
  addon_subgroup_order("recipe","bob-oil-processing","addon-petrol-sulfur-fluids", "b3")

  --Bergius Process
  addon_subgroup_order("recipe", "bergius-process", "addon-petrol-sulfur-fluids", "c1")
  addon_subgroup_order("recipe","coal-liquefaction","addon-petrol-fluids","c[fluid-chemistry]-d1[coal-liquefaction]")

  --Bio-industries
  addon_subgroup_order("recipe", "bi-Bio_Fuel", "addon-petrol-fluids", "d1[fluid-chemistry]-d2[bio-fuel]")
  addon_subgroup_order("recipe", "bi-Fuel_Conversion", "addon-petrol-fluids", "d2[fluid-chemistry]-d2[bio-fuel]")
end
-------------------------------------------------------------------------------
--[[MOD Icon/Gfx changes]]
--Makes small changes to gfx and icons from other mods
--Hides proxy items that should be hidden

--Swap colors on add-loaders, use better icons/gfx from Ace-Athor on mods.factorio.com
if belts_graphics and other_mods_graphics then
  --luacheck: no global
  addon_change_typeitem_icon("loader", "loader", "__ShinyBob__/graphics/icons/othermods/loader.png")
  addon_change_typeitem_icon("loader", "fast-loader", "__ShinyBob__/graphics/icons/othermods/fast-loader.png")
  addon_change_typeitem_icon("loader", "express-loader", "__ShinyBob__/graphics/icons/othermods/express-loader.png")
  addon_change_typeitem_icon("loader", "faster-loader", "__ShinyBob__/graphics/icons/othermods/faster-loader.png")
  addon_change_typeitem_icon("loader", "extremely-fast-loader", "__ShinyBob__/graphics/icons/othermods/extremely-fast-loader.png")
  local loader = data.raw["loader"]["loader"]
  loader.structure.direction_in.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/loader-structure.png"
  loader.structure.direction_out.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/loader-structure.png"
  local fast = data.raw["loader"]["fast-loader"]
  fast.structure.direction_in.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/fast-loader-structure.png"
  fast.structure.direction_out.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/fast-loader-structure.png"
  local express = data.raw["loader"]["express-loader"]
  express.structure.direction_in.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/express-loader-structure.png"
  express.structure.direction_out.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/express-loader-structure.png"
  if data.raw.item["faster-loader"] and data.raw.item["green-belt"] then
    local faster = data.raw["loader"]["faster-loader"]
    faster.belt_horizontal = purple_belt_horizontal
    faster.belt_vertical = purple_belt_vertical
    faster.ending_top = purple_belt_ending_top
    faster.ending_bottom = purple_belt_ending_bottom
    faster.ending_side = purple_belt_ending_side
    faster.starting_top = purple_belt_starting_top
    faster.starting_bottom = purple_belt_starting_bottom
    faster.starting_side = purple_belt_starting_side
    faster.structure.direction_in.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/faster-loader-structure.png"
    faster.structure.direction_out.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/faster-loader-structure.png"
  end
  if data.raw.item["extremely-fast-loader"] and data.raw.item["purple-belt"] then
    local extremely = data.raw["loader"]["extremely-fast-loader"]
    extremely.belt_horizontal = green_belt_horizontal
    extremely.belt_vertical = green_belt_vertical
    extremely.ending_top = green_belt_ending_top
    extremely.ending_bottom = green_belt_ending_bottom
    extremely.ending_side = green_belt_ending_side
    extremely.starting_top = green_belt_starting_top
    extremely.starting_bottom = green_belt_starting_bottom
    extremely.starting_side = green_belt_starting_side
    extremely.structure.direction_in.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/extremely-fast-loader-structure.png"
    extremely.structure.direction_out.sheet.filename = "__ShinyBob__/graphics/entity/add-loader/extremely-fast-loader-structure.png"
  end
end

--Hide items that should be hidden!
--reactors
addon_add_item_flag("reactor-interface", "hidden")
--Angels Refining
addon_add_item_flag("water-void", "hidden")
--Concrte lampost mod
addon_add_item_flag("concrete-lamp", "hidden")
--Burner Generator, hide burner proxy
addon_add_item_flag("burner-generator-power", "hidden")
--Uranium Power
local uranium = data.raw.item["nuclear-fission-reactor-chest-9"] or data.raw.item["nuclear-fission-reactor-chest-15"]
if uranium then
  local items = {
    "nuclear-fission-reactor-chest-9",
    "nuclear-fission-reactor-chest-15",
    "nuclear-fission-reactor-chest-25",
    "turbine-generator-cold-leg-box",
    "turbine-generator-feed-water-box",
    "turbine-generator-low-p-steam-box-01",
    "turbine-generator-low-p-steam-box-02",
    "turbine-generator-low-p-steam-box-03",
    "turbine-generator-low-p-steam-box-04",
    "steam-generator-01-cold-input",
    "reactor-pipe-bus-vert",
    "reactor-pipe-bus-horiz",
    "fission-reactor-fuel",
  }
  for _, name in pairs(items) do
    addon_add_item_flag(name, "hidden")
  end
end

if other_mods_graphics then
  --Orignal icons from uranium power modified to remove black background
  addon_change_icon("fluid","superheated-steam","__ShinyBob__/graphics/icons/othermods/superheated-steam.png")
  addon_change_icon("fluid","low-pressure-steam","__ShinyBob__/graphics/icons/othermods/low-pressure-steam.png")

  --Better rail signal icons from Rail Icons by LordKiwi
  addon_change_icon("item", "rail-signal", "__ShinyBob__/graphics/icons/othermods/rail-signal.png")
  addon_change_icon("item", "rail-chain-signal", "__ShinyBob__/graphics/icons/othermods/rail-chain-signal.png")
end

-------------------------------------------------------------------------------
--[[Item Changes]]
--This section makes minor changes to recipes to bring items more in line with
--where they should be.

if Nexela_item_changes then
  --Flow control
  -- change express pump speed if bobs-pump-2 present
  -- default pump speed is 2.5 and only requires steel this brings it more in line
  if data.raw.item["express-pump"] and data.raw.item["small-pump-2"] then
    data.raw["pump"]["express-pump"].pumping_speed = 1
  end

  --Bob Electronics, replace electronic board with circuit board to allow lamps to be built earlier
  if data.raw.item["basic-circuit-board"] then
    bobmods.lib.recipe.replace_ingredient("small-lamp", "electronic-circuit", "basic-circuit-board")
  end

  --replace sulfur with nitroglycerin if using bobs revamp
  if data.raw.recipe["oil-processing-with-sulfur"] and data.raw.fluid["nitroglycerin"] then
    bobmods.lib.recipe.replace_ingredient("explosives", "sulfur", "nitroglycerin")
    bobmods.lib.recipe.remove_ingredient("explosives", "water")
  end

  --change solid fuel stack size to be consistent with everything else,
  --without this change a stack of coal is better then a stack of solid fuel.
  local solid_fuel = data.raw.item["solid-fuel"]
  if solid_fuel and solid_fuel.stack_size == 50 then solid_fuel.stack_size = 100 end

  local rocket_fuel = data.raw.item["rocket-fuel"]
  if rocket_fuel and rocket_fuel.stack_size == 10 then rocket_fuel.stack_size = 20 end

  --Change stack size of belts to be inline with .15 changes
  local belt_types = {"transport-belt", "underground-belt", "splitter", "loader"}
  for _, type in pairs(belt_types) do
    for _, item in pairs(data.raw[type]) do
      local belt = data.raw.item[item.name]
      if belt and belt.stack_size == 50 then belt.stack_size = 100 end
    end
  end

  --Change Brains/tools from robot type to just tier
  if Nexela_robot_changes then
    log("Robot Changes Not implemented yet")
  end

end

-------------------------------------------------------------------------------
--[Extra Recipes]]
--Additional Extra recipes

--Bring back my favorite form of nickle-plate from sulfur acid.
if extra_recipes and Nexela_extra_recipe_sulfur_acid_nickel
and data.raw.fluid["sulfuric-acid"] and data.raw.fluid["oxygen"] and data.raw.technology["nickel-processing"] then
  local recipe_sulfur_nickel_1 = {
    type = "recipe",
    name = "addon-sulfur-acid-nickel",
    category = "electrolysis",
    subgroup = "addon-sulfur-fluids",
    energy_required = 3.5,
    enabled = false,
    ingredients =
    {
      {type="item", name="nickel-ore", amount=1},
      {type="fluid", name="water", amount=1},
      {type="fluid", name="oxygen", amount=1.5},
    },
    results=
    {
      {type="fluid", name="sulfuric-acid", amount=1},
      {type="item", name="nickel-plate", amount=1}
    },
    main_product= "sulfuric-acid",
    icon = "__ShinyBob__/graphics/icons/fluids/sulfuric-acid-nickel-recipe.png",
    order = "a[sulfur3]",
  }
  local recipe_sulfur_nickel_2 = {
    type = "recipe",
    name = "addon-sulfur-acid-nickel-2",
    category = "electrolysis",
    subgroup = "bob-material-electrolysis",
    energy_required = 3.5,
    enabled = false,
    ingredients =
    {
      {type="item", name="nickel-ore", amount=1},
      {type="fluid", name="water", amount=1},
      {type="fluid", name="oxygen", amount=1.5},
    },
    results=
    {
      {type="item", name="nickel-plate", amount=1},
      {type="fluid", name="sulfuric-acid", amount=1},
    },
    main_product= "sulfuric-acid",
    icon = "__ShinyBob__/graphics/icons/fluids/nickel-sulfur-acid-recipe.png",
    order = "c-a-f[nickel-platez]",
  }
  data:extend({recipe_sulfur_nickel_1, recipe_sulfur_nickel_2})
  bobmods.lib.add_technology_recipe("nickel-processing", "addon-sulfur-acid-nickel")
  bobmods.lib.add_technology_recipe("nickel-processing", "addon-sulfur-acid-nickel-2")
end
